EDIT - task #9141

setup IP connection rate limiting per IP address
07/10/2020 04:12 PM - Andreas Kohlbecker

Status: New Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 0%
Category: server-maintenance Estimated time: 0:00 hour
Target version: Release 5.46

Severity: critical

Description

The production server frequently is brought to its limit by clients sending as too many request per second
Solutions:

1. either production server is not capable to handling enough request per second
2. we need to throttle the connection rate per seconds per IP addess

This post provides a good introduction into the topic of connection rate limiting by making use of iptables:
https://making.pusher.com/per-ip-rate-limiting-with-iptables/

History

#1 - 01/13/2021 04:15 PM - Andreas Kohlbecker

- Target version changed from Release 5.18 to Release 5.19

#2 - 01/13/2021 04:33 PM - Andreas Miiller

- Subject changed from setup IP connection rate limiting per IP adress to setup IP connection rate limiting per IP address

#3 - 01/27/2021 03:14 PM - Andreas Kohlbecker

- Target version changed from Release 5.19 to Release 5.21

#4 - 03/10/2021 02:54 PM - Andreas Miuller

- Target version changed from Release 5.21 to Release 5.22

#5 - 04/19/2021 04:34 PM - Andreas Kohlbecker

- Target version changed from Release 5.22 to Release 5.25

#6 - 07/09/2021 10:41 AM - Andreas Mdller

- Target version changed from Release 5.25 to Release 5.45

#7 - 03/04/2022 05:51 PM - Andreas Miiller
- Assignee changed from Andreas Kohlbecker to Katja Luther

- Target version changed from Release 5.45 to Release 5.46
